package com.red.circle.other.adapter.app.activity;

import com.google.common.collect.Maps;
import com.red.circle.framework.core.dto.CommonCommand;
import java.util.Map;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * ASWAT生日 前端控制器.
 * </p>
 *
 * @author lisizhe on 2023/9/25
 * @eo.api-type http
 * @eo.groupName 活动服务.ASWAT生日
 * @eo.path /activity/birthday
 */
@Slf4j
@RestController
@RequiredArgsConstructor
@RequestMapping(value = "/activity/birthday", produces = MediaType.APPLICATION_JSON_VALUE)
public class AswatBirthdayRestController {

  /**
   * ASWAT生日特定图标.
   *
   * @eo.name ASWAT生日特定图标
   * @eo.method get
   * @eo.request-type formdata
   */
  @GetMapping("/icon/map")
  public Map<String, String> birthdayIconMap(CommonCommand cmd) {

    Map<String, String> map = Maps.newHashMap();

    if (!"ar".equalsIgnoreCase(cmd.getReqLanguage())) {

      // a
      map.put("HOME", "https://img.sugartimeapp.com/back/HOME1.png");
      map.put("UN_HOME", "https://img.sugartimeapp.com/back/UN_HOME1.png");

      // s
      map.put("FIND", "https://img.sugartimeapp.com/back/FIND1.png");
      map.put("UN_FIND", "https://img.sugartimeapp.com/back/UN_FIND1.png");

      // w
      map.put("DYNAMIC", "https://img.sugartimeapp.com/back/DYNAMIC1.png");
      map.put("UN_DYNAMIC", "https://img.sugartimeapp.com/back/UN_DYNAMIC1.png");

      // a
      map.put("MSG", "https://img.sugartimeapp.com/back/MSG1.png");
      map.put("UN_MSG", "https://img.sugartimeapp.com/back/UN_MSG1.png");

      // t
      map.put("MY", "https://img.sugartimeapp.com/back/MY1.png");
      map.put("UN_MY", "https://img.sugartimeapp.com/back/UN_MY1.png");

      map.put("BACKGROUND", "https://img.sugartimeapp.com/back/BACKGROUND.png");
      return map;
    }

    // t
    map.put("MY", "https://img.sugartimeapp.com/back/HOME1.png");
    map.put("UN_MY", "https://img.sugartimeapp.com/back/UN_HOME1.png");

    // a
    map.put("MSG", "https://img.sugartimeapp.com/back/FIND1.png");
    map.put("UN_MSG", "https://img.sugartimeapp.com/back/UN_FIND1.png");

    // w
    map.put("DYNAMIC", "https://img.sugartimeapp.com/back/DYNAMIC1.png");
    map.put("UN_DYNAMIC", "https://img.sugartimeapp.com/back/UN_DYNAMIC1.png");

    // s
    map.put("FIND", "https://img.sugartimeapp.com/back/MSG1.png");
    map.put("UN_FIND", "https://img.sugartimeapp.com/back/UN_MSG1.png");

    // a
    map.put("HOME", "https://img.sugartimeapp.com/back/MY1.png");
    map.put("UN_HOME", "https://img.sugartimeapp.com/back/UN_MY1.png");

    map.put("BACKGROUND", "https://img.sugartimeapp.com/back/BACKGROUND.png");
    return map;
  }

}
